<?php

/**
 * @file
 * Default view descriptions for the Ult_Matches module
 */

/**
 * Defines the default views for the 'ult_matches' module
 *   Views:
 *     'ult_recentgames' -> List of Recent Games for a given league
 *     'ult_pendinggames' -> List of games pending results
 *     'ult_upcominggames' -> List of games scheduled in the near future
 *     'ult_challengedgames' -> List of games with result challenges
 */
function ult_matches_views_default_views() {
  // ********************************************************
  // *                                                      *
  // *                Recent Games View                     *
  // *                                                      *
  // ********************************************************
  $views = array();
  // Begin copy and paste from the Export tab of the view
  $view = new view;
  $view->name = 'ult_recentgames';
  $view->description = 'A list of recent games for a given league or division';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to TRUE to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('relationships', array(
    'field_ult_gameid_nid' => array(
      'label' => 'Game ID',
      'required' => 0,
      'delta' => -1,
      'id' => 'field_ult_gameid_nid',
      'table' => 'node_data_field_ult_gameid',
      'field' => 'field_ult_gameid_nid',
      'relationship' => 'none',
    ),
    'field_ult_gameawayteam_nid' => array(
      'label' => 'Away Team',
      'required' => 0,
      'delta' => -1,
      'id' => 'field_ult_gameawayteam_nid',
      'table' => 'node_data_field_ult_gameawayteam',
      'field' => 'field_ult_gameawayteam_nid',
      'relationship' => 'field_ult_gameid_nid',
    ),
    'field_ult_gamehometeam_nid' => array(
      'label' => 'Home Team',
      'required' => 0,
      'delta' => -1,
      'id' => 'field_ult_gamehometeam_nid',
      'table' => 'node_data_field_ult_gamehometeam',
      'field' => 'field_ult_gamehometeam_nid',
      'relationship' => 'field_ult_gameid_nid',
    ),
  ));
  $handler->override_option('fields', array(
    'nid' => array(
      'label' => 'Nid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 1,
      'id' => 'nid',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'none',
    ),
    'nid_1' => array(
      'label' => 'Game ID',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 1,
        'path' => 'ult/game/[nid_1]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'nid_1',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gameid_nid',
    ),
    'field_ult_gamedate_value' => array(
      'label' => 'Date',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_to' => '',
        'group' => '',
      ),
      'repeat' => array(
        'show_repeat_rule' => '',
      ),
      'fromto' => array(
        'fromto' => 'both',
      ),
      'exclude' => 0,
      'id' => 'field_ult_gamedate_value',
      'table' => 'node_data_field_ult_gamedate',
      'field' => 'field_ult_gamedate_value',
      'relationship' => 'field_ult_gameid_nid',
    ),
    'nid_2' => array(
      'label' => 'Home Nid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 1,
      'id' => 'nid_2',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gamehometeam_nid',
    ),
    'field_ult_homeresult_value' => array(
      'label' => 'Home Result',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 1,
      'id' => 'field_ult_homeresult_value',
      'table' => 'node_data_field_ult_homeresult',
      'field' => 'field_ult_homeresult_value',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'none',
    ),
    'title' => array(
      'label' => 'Home',
      'alter' => array(
        'alter_text' => 1,
        'text' => '[title] ([field_ult_homeresult_value])',
        'make_link' => 1,
        'path' => 'ult/team/[nid]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'field_ult_gamehometeam_nid',
      'override' => array(
        'button' => 'Override',
      ),
    ),
    'field_ult_homescore_value' => array(
      'label' => 'Home Score',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_homescore_value',
      'table' => 'node_data_field_ult_homescore',
      'field' => 'field_ult_homescore_value',
      'relationship' => 'none',
    ),
    'nid_3' => array(
      'label' => 'Away Nid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 1,
      'id' => 'nid_3',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gameawayteam_nid',
    ),
    'field_ult_awayresult_value' => array(
      'label' => 'Away Result',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 1,
      'id' => 'field_ult_awayresult_value',
      'table' => 'node_data_field_ult_awayresult',
      'field' => 'field_ult_awayresult_value',
      'relationship' => 'none',
    ),
    'title_1' => array(
      'label' => 'Away',
      'alter' => array(
        'alter_text' => 1,
        'text' => '[title_1] ([field_ult_awayresult_value])',
        'make_link' => 1,
        'path' => 'ult/team/[nid_2]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title_1',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'field_ult_gameawayteam_nid',
      'override' => array(
        'button' => 'Override',
      ),
    ),
    'field_ult_awayscore_value' => array(
      'label' => 'Away Score',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_awayscore_value',
      'table' => 'node_data_field_ult_awayscore',
      'field' => 'field_ult_awayscore_value',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('sorts', array(
    'field_ult_gamedate_value' => array(
      'order' => 'DESC',
      'delta' => -1,
      'id' => 'field_ult_gamedate_value',
      'table' => 'node_data_field_ult_gamedate',
      'field' => 'field_ult_gamedate_value',
      'relationship' => 'field_ult_gameid_nid',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_ult_gameleague_nid' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 0,
      'not' => 0,
      'id' => 'field_ult_gameleague_nid',
      'table' => 'node_data_field_ult_gameleague',
      'field' => 'field_ult_gameleague_nid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '51' => 0,
        '52' => 0,
      ),
      'relationship' => 'field_ult_gameid_nid',
      'default_options_div_prefix' => '',
      'default_argument_fixed' => '',
      'default_argument_user' => 0,
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'page' => 0,
        'profile' => 0,
        'story' => 0,
        'ult_division' => 0,
        'ult_fieldsite' => 0,
        'ult_game' => 0,
        'ult_gameresult' => 0,
        'ult_league' => 0,
        'ult_profile' => 0,
        'ult_roster' => 0,
        'ult_team' => 0,
        'ult_waiver' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'ult_gameresult' => 'ult_gameresult',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
    'field_ult_resulttype_value' => array(
      'operator' => 'not',
      'value' => 'challenge',
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'case' => 0,
      'id' => 'field_ult_resulttype_value',
      'table' => 'node_data_field_ult_resulttype',
      'field' => 'field_ult_resulttype_value',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'perm',
    'perm' => 'access ULT leagues',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('empty', 'No results available');
  $handler->override_option('empty_format', '1');
  $handler->override_option('use_ajax', TRUE);
  $handler->override_option('items_per_page', 20);
  $handler->override_option('use_pager', 'mini');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'desc',
    'columns' => array(
      'nid' => 'nid',
      'nid_1' => 'nid_1',
      'field_ult_gamedate_value' => 'field_ult_gamedate_value',
      'nid_2' => 'nid_2',
      'field_ult_homeresult_value' => 'field_ult_homeresult_value',
      'title' => 'title',
      'field_ult_homescore_value' => 'field_ult_homescore_value',
      'field_ult_awayscore_value' => 'field_ult_awayscore_value',
      'nid_3' => 'nid_3',
      'field_ult_awayresult_value' => 'field_ult_awayresult_value',
      'title_1' => 'title_1',
    ),
    'info' => array(
      'nid' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'nid_1' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'field_ult_gamedate_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'nid_2' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'field_ult_homeresult_value' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_ult_homescore_value' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'field_ult_awayscore_value' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'nid_3' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'field_ult_awayresult_value' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'title_1' => array(
        'sortable' => 1,
        'separator' => '',
      ),
    ),
    'default' => 'field_ult_gamedate_value',
  ));
  $handler = $view->new_display('block', 'lastweek', 'block_1');
  $handler->override_option('empty', 'No recent results available');
  $handler->override_option('items_per_page', 10);
  $handler->override_option('block_description', '');
  $handler->override_option('block_caching', -1);


  // Add view to list of views to provide
  $views[$view->name] = $view;

  // ********************************************************
  // *                                                      *
  // *                Pending Games View                    *
  // *                                                      *
  // ********************************************************
  // Begin copy and paste from the Export tab of the view
  $view = new view;
  $view->name = 'ult_pendinggames';
  $view->description = 'Lists games currently pending result submissions';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to TRUE to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('relationships', array(
    'field_ult_gameawayteam_nid' => array(
      'label' => 'Away Team',
      'required' => 0,
      'delta' => -1,
      'id' => 'field_ult_gameawayteam_nid',
      'table' => 'node_data_field_ult_gameawayteam',
      'field' => 'field_ult_gameawayteam_nid',
      'relationship' => 'none',
    ),
    'field_ult_gamehometeam_nid' => array(
      'label' => 'Home Team',
      'required' => 0,
      'delta' => -1,
      'id' => 'field_ult_gamehometeam_nid',
      'table' => 'node_data_field_ult_gamehometeam',
      'field' => 'field_ult_gamehometeam_nid',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('fields', array(
    'nid' => array(
      'label' => 'Game ID',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 1,
        'path' => 'ult/game/[nid]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'nid',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'none',
    ),
    'field_ult_gamedate_value' => array(
      'label' => 'Date',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_to' => '',
        'group' => '',
      ),
      'repeat' => array(
        'show_repeat_rule' => '',
      ),
      'fromto' => array(
        'fromto' => 'both',
      ),
      'exclude' => 0,
      'id' => 'field_ult_gamedate_value',
      'table' => 'node_data_field_ult_gamedate',
      'field' => 'field_ult_gamedate_value',
      'relationship' => 'none',
    ),
    'nid_1' => array(
      'label' => 'Home Nid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 1,
      'id' => 'nid_1',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gamehometeam_nid',
    ),
    'title' => array(
      'label' => 'Home Team',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 1,
        'path' => 'ult/team/[nid_1]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'field_ult_gamehometeam_nid',
    ),
    'nid_2' => array(
      'label' => 'Away Nid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 1,
      'id' => 'nid_2',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gameawayteam_nid',
    ),
    'title_1' => array(
      'label' => 'Away Team',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 1,
        'path' => 'ult/team/[nid_2]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title_1',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'field_ult_gameawayteam_nid',
    ),
    'nothing' => array(
      'label' => '',
      'alter' => array(
        'text' => 'Submit Result',
        'make_link' => 1,
        'path' => 'ult/game/[nid]/results',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'nothing',
      'table' => 'views',
      'field' => 'nothing',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('sorts', array(
    'field_ult_gamedate_value' => array(
      'order' => 'DESC',
      'delta' => -1,
      'id' => 'field_ult_gamedate_value',
      'table' => 'node_data_field_ult_gamedate',
      'field' => 'field_ult_gamedate_value',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_ult_gameleague_nid' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 0,
      'not' => 0,
      'id' => 'field_ult_gameleague_nid',
      'table' => 'node_data_field_ult_gameleague',
      'field' => 'field_ult_gameleague_nid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '51' => 0,
        '52' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_fixed' => '',
      'default_argument_user' => 0,
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'page' => 0,
        'profile' => 0,
        'story' => 0,
        'ult_division' => 0,
        'ult_fieldsite' => 0,
        'ult_game' => 0,
        'ult_gameresult' => 0,
        'ult_league' => 0,
        'ult_profile' => 0,
        'ult_roster' => 0,
        'ult_team' => 0,
        'ult_waiver' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'ult_game' => 'ult_game',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
    'field_ult_gameresult_value_many_to_one' => array(
      'operator' => 'or',
      'value' => array(
        'No' => 'No',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'field_ult_gameresult_value_many_to_one',
      'table' => 'node_data_field_ult_gameresult',
      'field' => 'field_ult_gameresult_value_many_to_one',
      'relationship' => 'none',
      'reduce_duplicates' => 0,
    ),
    'date_filter' => array(
      'operator' => '<=',
      'value' => array(
        'value' => array(
          'date' => '',
        ),
        'min' => array(
          'date' => '',
        ),
        'max' => array(
          'date' => '',
        ),
        'default_date' => 'now',
        'default_to_date' => '',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'date_fields' => array(
        'node_data_field_ult_gamedate.field_ult_gamedate_value' => 'node_data_field_ult_gamedate.field_ult_gamedate_value',
      ),
      'date_method' => 'OR',
      'granularity' => 'hour',
      'form_type' => 'date_text',
      'default_date' => 'now',
      'default_to_date' => '',
      'year_range' => '-3:+3',
      'id' => 'date_filter',
      'table' => 'node',
      'field' => 'date_filter',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'perm',
    'perm' => 'access ULT teams',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('empty', 'No games found which are still pending results.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('use_ajax', TRUE);
  $handler->override_option('use_pager', 'mini');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'desc',
    'columns' => array(
      'nid' => 'nid',
      'field_ult_gamedate_value' => 'field_ult_gamedate_value',
      'nid_1' => 'nid_1',
      'title' => 'title',
      'title_1' => 'title_1',
      'nid_2' => 'nid_2',
      'nothing' => 'nothing',
    ),
    'info' => array(
      'nid' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'field_ult_gamedate_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'nid_1' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'title_1' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'nid_2' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'nothing' => array(
        'separator' => '',
      ),
    ),
    'default' => 'field_ult_gamedate_value',
  ));

  // Add view to list of views to provide
  $views[$view->name] = $view;

  // ********************************************************
  // *                                                      *
  // *               Upcoming Games View                    *
  // *                                                      *
  // ********************************************************
  // Begin copy and paste from the Export tab of the view
  $view = new view;
  $view->name = 'ult_upcominggames';
  $view->description = 'A list of upcoming games for a given division';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to TRUE to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('relationships', array(
    'field_ult_gamehometeam_nid' => array(
      'label' => 'Home Team',
      'required' => 0,
      'delta' => -1,
      'id' => 'field_ult_gamehometeam_nid',
      'table' => 'node_data_field_ult_gamehometeam',
      'field' => 'field_ult_gamehometeam_nid',
      'relationship' => 'none',
    ),
    'field_ult_gameawayteam_nid' => array(
      'label' => 'Away Team',
      'required' => 0,
      'delta' => -1,
      'id' => 'field_ult_gameawayteam_nid',
      'table' => 'node_data_field_ult_gameawayteam',
      'field' => 'field_ult_gameawayteam_nid',
      'relationship' => 'none',
    ),
    'field_ult_gamefieldsite_nid' => array(
      'id' => 'field_ult_gamefieldsite_nid',
      'table' => 'node_data_field_ult_gamefieldsite',
      'field' => 'field_ult_gamefieldsite_nid',
    ),
    'field_ult_gameleague_nid' => array(
      'id' => 'field_ult_gameleague_nid',
      'table' => 'node_data_field_ult_gameleague',
      'field' => 'field_ult_gameleague_nid',
    ),
  ));
  $handler->override_option('fields', array(
    'nid_3' => array(
      'label' => 'Game ID',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 1,
        'path' => 'ult/game/[nid_3]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'nid_3',
      'table' => 'node',
      'field' => 'nid',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'none',
    ),
    'field_ult_gamedate_value' => array(
      'label' => 'Date',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'short',
      'multiple' => array(
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_to' => '',
        'group' => '',
      ),
      'repeat' => array(
        'show_repeat_rule' => '',
      ),
      'fromto' => array(
        'fromto' => 'both',
      ),
      'exclude' => 0,
      'id' => 'field_ult_gamedate_value',
      'table' => 'node_data_field_ult_gamedate',
      'field' => 'field_ult_gamedate_value',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Override',
      ),
    ),
    'nid' => array(
      'label' => 'Nid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 1,
      'id' => 'nid',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gamehometeam_nid',
    ),
    'title' => array(
      'label' => 'Home',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 1,
        'path' => 'ult/team/[nid]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'field_ult_gamehometeam_nid',
    ),
    'nid_1' => array(
      'label' => 'Nid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 1,
      'id' => 'nid_1',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gameawayteam_nid',
    ),
    'title_1' => array(
      'label' => 'Away',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 1,
        'path' => 'ult/team/[nid_1]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title_1',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'field_ult_gameawayteam_nid',
    ),
    'nid_2' => array(
      'label' => 'Nid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 1,
      'id' => 'nid_2',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gamefieldsite_nid',
    ),
    'title_2' => array(
      'label' => 'Field',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 1,
        'path' => 'ult/field/[nid_2]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 1,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title_2',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'field_ult_gamefieldsite_nid',
    ),
  ));
  $handler->override_option('sorts', array(
    'field_ult_gamedate_value' => array(
      'order' => 'ASC',
      'delta' => -1,
      'id' => 'field_ult_gamedate_value',
      'table' => 'node_data_field_ult_gamedate',
      'field' => 'field_ult_gamedate_value',
      'relationship' => 'none',
    ),
    'title' => array(
      'order' => 'ASC',
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'field_ult_gamehometeam_nid',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_ult_gameleague_nid' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 0,
      'not' => 0,
      'id' => 'field_ult_gameleague_nid',
      'table' => 'node_data_field_ult_gameleague',
      'field' => 'field_ult_gameleague_nid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '51' => 0,
        '52' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_fixed' => '',
      'default_argument_user' => 0,
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'page' => 0,
        'profile' => 0,
        'story' => 0,
        'ult_division' => 0,
        'ult_fieldsite' => 0,
        'ult_game' => 0,
        'ult_gameresult' => 0,
        'ult_league' => 0,
        'ult_profile' => 0,
        'ult_roster' => 0,
        'ult_team' => 0,
        'ult_waiver' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'ult_game' => 'ult_game',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'perm',
    'perm' => 'access ULT leagues',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('empty', 'No upcoming games available');
  $handler->override_option('empty_format', '1');
  $handler->override_option('use_ajax', TRUE);
  $handler->override_option('items_per_page', 20);
  $handler->override_option('use_pager', 'mini');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 1,
    'order' => 'asc',
    'columns' => array(
      'nid_3' => 'nid_3',
      'field_ult_gamedate_value' => 'field_ult_gamedate_value',
      'nid_2' => 'nid_2',
      'title_2' => 'title_2',
      'nid' => 'nid',
      'title' => 'title',
      'nid_1' => 'nid_1',
      'title_1' => 'title_1',
    ),
    'info' => array(
      'nid_3' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_ult_gamedate_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'nid_2' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'title_2' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'nid' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'nid_1' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'title_1' => array(
        'sortable' => 1,
        'separator' => '',
      ),
    ),
    'default' => 'field_ult_gamedate_value',
  ));
  $handler = $view->new_display('block', 'nextweek', 'block_1');
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'ult_game' => 'ult_game',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
    'date_filter' => array(
      'operator' => 'between',
      'value' => array(
        'value' => array(
          'date' => '',
        ),
        'min' => array(
          'date' => '',
        ),
        'max' => array(
          'date' => '',
        ),
        'default_date' => 'now -2 hour',
        'default_to_date' => 'now +7 day',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'date_fields' => array(
        'node_data_field_ult_gamedate.field_ult_gamedate_value' => 'node_data_field_ult_gamedate.field_ult_gamedate_value',
      ),
      'date_method' => 'OR',
      'granularity' => 'hour',
      'form_type' => 'date_text',
      'default_date' => 'now -2 hour',
      'default_to_date' => 'now +7 day',
      'year_range' => '-3:+3',
      'id' => 'date_filter',
      'table' => 'node',
      'field' => 'date_filter',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Use default',
      ),
    ),
  ));
  $handler->override_option('empty', 'No upcoming games within the next week.');
  $handler->override_option('block_description', '');
  $handler->override_option('block_caching', -1);

  // Add view to list of views to provide
  $views[$view->name] = $view;

  // ********************************************************
  // *                                                      *
  // *             Challenged Games View                    *
  // *                                                      *
  // ********************************************************
  $view = new view;
  $view->name = 'ult_challengedgames';
  $view->description = 'A list of games which contain challenged game result submissions';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to TRUE to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('relationships', array(
    'field_ult_gameid_nid' => array(
      'id' => 'field_ult_gameid_nid',
      'table' => 'node_data_field_ult_gameid',
      'field' => 'field_ult_gameid_nid',
    ),
  ));
  $handler->override_option('fields', array(
    'field_ult_gamedate_value' => array(
      'label' => 'Date',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_to' => '',
        'group' => '',
      ),
      'repeat' => array(
        'show_repeat_rule' => '',
      ),
      'fromto' => array(
        'fromto' => 'both',
      ),
      'exclude' => 0,
      'id' => 'field_ult_gamedate_value',
      'table' => 'node_data_field_ult_gamedate',
      'field' => 'field_ult_gamedate_value',
      'relationship' => 'field_ult_gameid_nid',
    ),
    'field_ult_resulttype_value' => array(
      'label' => 'Result Type',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_resulttype_value',
      'table' => 'node_data_field_ult_resulttype',
      'field' => 'field_ult_resulttype_value',
      'relationship' => 'none',
    ),
    'field_ult_submitteam_value' => array(
      'label' => 'Submitting Team',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_submitteam_value',
      'table' => 'node_data_field_ult_submitteam',
      'field' => 'field_ult_submitteam_value',
      'relationship' => 'none',
    ),
    'field_ult_gamehometeam_nid' => array(
      'label' => 'Home',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_gamehometeam_nid',
      'table' => 'node_data_field_ult_gamehometeam',
      'field' => 'field_ult_gamehometeam_nid',
      'relationship' => 'field_ult_gameid_nid',
    ),
    'field_ult_homescore_value' => array(
      'label' => 'Home Score',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_homescore_value',
      'table' => 'node_data_field_ult_homescore',
      'field' => 'field_ult_homescore_value',
      'relationship' => 'none',
    ),
    'field_ult_homeresult_value' => array(
      'label' => 'Home Result',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_homeresult_value',
      'table' => 'node_data_field_ult_homeresult',
      'field' => 'field_ult_homeresult_value',
      'relationship' => 'none',
    ),
    'field_ult_gameawayteam_nid' => array(
      'label' => 'Away',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_gameawayteam_nid',
      'table' => 'node_data_field_ult_gameawayteam',
      'field' => 'field_ult_gameawayteam_nid',
      'relationship' => 'field_ult_gameid_nid',
    ),
    'field_ult_awayscore_value' => array(
      'label' => 'Away Score',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_awayscore_value',
      'table' => 'node_data_field_ult_awayscore',
      'field' => 'field_ult_awayscore_value',
      'relationship' => 'none',
    ),
    'field_ult_awayresult_value' => array(
      'label' => 'Away Result',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_ult_awayresult_value',
      'table' => 'node_data_field_ult_awayresult',
      'field' => 'field_ult_awayresult_value',
      'relationship' => 'none',
    ),
    'nid' => array(
      'label' => '',
      'alter' => array(
        'alter_text' => 1,
        'text' => 'view game',
        'make_link' => 1,
        'path' => 'ult/game/[nid]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'nid',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gameid_nid',
    ),
  ));
  $handler->override_option('sorts', array(
    'field_ult_gamedate_value' => array(
      'order' => 'DESC',
      'delta' => -1,
      'id' => 'field_ult_gamedate_value',
      'table' => 'node_data_field_ult_gamedate',
      'field' => 'field_ult_gamedate_value',
      'relationship' => 'field_ult_gameid_nid',
    ),
    'nid' => array(
      'order' => 'ASC',
      'id' => 'nid',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'field_ult_gameid_nid',
    ),
    'field_ult_resulttype_value' => array(
      'order' => 'DESC',
      'delta' => -1,
      'id' => 'field_ult_resulttype_value',
      'table' => 'node_data_field_ult_resulttype',
      'field' => 'field_ult_resulttype_value',
      'relationship' => 'none',
    ),
    'field_ult_submitteam_value' => array(
      'order' => 'DESC',
      'delta' => -1,
      'id' => 'field_ult_submitteam_value',
      'table' => 'node_data_field_ult_submitteam',
      'field' => 'field_ult_submitteam_value',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_ult_gameleague_nid' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 0,
      'not' => 0,
      'id' => 'field_ult_gameleague_nid',
      'table' => 'node_data_field_ult_gameleague',
      'field' => 'field_ult_gameleague_nid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '51' => 0,
        '52' => 0,
      ),
      'relationship' => 'field_ult_gameid_nid',
      'default_options_div_prefix' => '',
      'default_argument_fixed' => '',
      'default_argument_user' => 0,
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'forum' => 0,
        'page' => 0,
        'profile' => 0,
        'story' => 0,
        'ult_division' => 0,
        'ult_fieldsite' => 0,
        'ult_game' => 0,
        'ult_gameresult' => 0,
        'ult_league' => 0,
        'ult_profile' => 0,
        'ult_roster' => 0,
        'ult_team' => 0,
        'ult_waiver' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '1' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'ult_gameresult' => 'ult_gameresult',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
    'field_ult_resulttype_value_many_to_one' => array(
      'operator' => 'or',
      'value' => array(
        'contested' => 'contested',
        'challenge' => 'challenge',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'field_ult_resulttype_value_many_to_one',
      'table' => 'node_data_field_ult_resulttype',
      'field' => 'field_ult_resulttype_value_many_to_one',
      'relationship' => 'none',
      'reduce_duplicates' => 0,
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'perm',
    'perm' => 'administer ULT leagues',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('items_per_page', 30);
  $handler->override_option('use_pager', 'mini');
  $handler->override_option('style_plugin', 'table');
  $handler = $view->new_display('block', 'bygame', 'block_1');
  $handler->override_option('arguments', array(
    'field_ult_gameid_nid' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 0,
      'not' => 0,
      'id' => 'field_ult_gameid_nid',
      'table' => 'node_data_field_ult_gameid',
      'field' => 'field_ult_gameid_nid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '51' => 0,
        '52' => 0,
      ),
      'override' => array(
        'button' => 'Use default',
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_fixed' => '',
      'default_argument_user' => 0,
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'forum' => 0,
        'page' => 0,
        'profile' => 0,
        'story' => 0,
        'ult_division' => 0,
        'ult_fieldsite' => 0,
        'ult_game' => 0,
        'ult_gameresult' => 0,
        'ult_league' => 0,
        'ult_profile' => 0,
        'ult_roster' => 0,
        'ult_team' => 0,
        'ult_waiver' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '1' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('block_description', '');
  $handler->override_option('block_caching', -1);

  // Add view to list of views to provide
  $views[$view->name] = $view;

  return $views;
}

